%define oname   fssm

Name:       ruby-%{oname}
Version:    0.1.4
Release:    %mkrel 2
Summary:    File System State Monitor
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/ttilley/fssm
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     fssm-0.1.4-rspec2.patch
BuildRequires: rubygems
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(jeweler)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
file system state monitor

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.markdown
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
rake spec

%clean
rm -rf %{buildroot}



%changelog
* Sat Feb 12 2011 shikamaru <shikamaru> 0.1.4-2.mga1
+ Revision: 50899
- imported package ruby-fssm


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.1.4-2mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Sun Dec 19 2010 Rémy Clouard <shikamaru@mandriva.org> 0.1.4-1mdv2011.0
+ Revision: 623122
- import rubygem-fssm

